import { ObjectTypeComposer } from 'graphql-compose';
import type { GraphQLObjectType, GraphQLFieldConfig } from 'graphql-compose/lib/graphql';
import { AwsService, ServiceConfig } from './AwsService';
export declare type AwsSDK = any;
declare type AwsOpts = {
    name?: string;
    awsSDK?: AwsSDK;
};
export declare class AwsApiParser<TContext = any> {
    name: string;
    awsSDK: AwsSDK;
    tc?: ObjectTypeComposer<any, TContext>;
    _serviceMap: {
        [serviceIdentifier: string]: string;
    };
    constructor(opts: AwsOpts);
    getServicesNames(): string[];
    getServiceIdentifier(name: string): string;
    getServiceConfig(name: string): ServiceConfig;
    getService(name: string): AwsService<TContext>;
    getTypeComposer(): ObjectTypeComposer<any, TContext>;
    getType(): GraphQLObjectType;
    getFieldConfig(): GraphQLFieldConfig<any, any>;
}
export {};
//# sourceMappingURL=AwsApiParser.d.ts.map