import { ObjectTypeComposer } from 'graphql-compose';
import type { GraphQLObjectType, GraphQLFieldConfig } from 'graphql-compose/lib/graphql';
import { AwsServiceMetadata, ServiceMetadataConfig } from './AwsServiceMetadata';
import { AwsServiceOperation, ServiceOperationConfig } from './AwsServiceOperation';
import { AwsShapes, ShapesMap } from './AwsShapes';
import type { AwsSDK } from './AwsApiParser';
export declare type ServiceConfig = {
    version: string;
    metadata: ServiceMetadataConfig;
    operations: {
        [name: string]: ServiceOperationConfig;
    };
    shapes: ShapesMap;
    paginators: any;
    waiters: any;
};
declare type ServiceOpts = {
    serviceId: string;
    prefix: string;
    config: ServiceConfig;
    awsSDK: AwsSDK;
};
export declare class AwsService<TContext> {
    prefix: string;
    serviceId: string;
    awsSDK: AwsSDK;
    tc?: ObjectTypeComposer<any, TContext>;
    config: ServiceConfig;
    metadata: AwsServiceMetadata<TContext>;
    shapes: AwsShapes<TContext>;
    constructor(opts: ServiceOpts);
    getTypeName(): string;
    static lowerFirst(name: string): string;
    getOperationNames(): string[];
    getOperation(name: string): AwsServiceOperation<TContext>;
    getTypeComposer(): ObjectTypeComposer<any, TContext>;
    getType(): GraphQLObjectType;
    getFieldConfig(): GraphQLFieldConfig<any, any>;
}
export {};
//# sourceMappingURL=AwsService.d.ts.map