"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsServiceMetadata = void 0;
const graphql_compose_1 = require("graphql-compose");
class AwsServiceMetadata {
    constructor(metadata) {
        this.metadata = metadata;
    }
    getPrefix() {
        return `Aws${graphql_compose_1.upperFirst(this.metadata.endpointPrefix)}`;
    }
    getDescription() {
        const { serviceFullName, apiVersion } = this.metadata;
        return `${serviceFullName} (${apiVersion})`;
    }
    getTypeComposer() {
        if (!this.tc) {
            this.tc = graphql_compose_1.schemaComposer.createObjectTC(`
        type ${this.getPrefix()}Metadata {
          apiVersion: String
          endpointPrefix: String
          globalEndpoint: String
          serviceAbbreviation: String
          serviceFullName: String
          signatureVersion: String
          uid: String
          raw: JSON
        }
      `);
        }
        return this.tc;
    }
    getFieldConfig() {
        return {
            type: this.getTypeComposer().getType(),
            resolve: () => {
                return Object.assign(Object.assign({}, this.metadata), { raw: this.metadata });
            },
        };
    }
}
exports.AwsServiceMetadata = AwsServiceMetadata;
//# sourceMappingURL=AwsServiceMetadata.js.map