import type { GraphQLFieldConfig, GraphQLFieldConfigArgumentMap, GraphQLFieldResolver, GraphQLOutputType } from 'graphql-compose/lib/graphql';
import { ParamStructure } from './AwsParam';
import type { AwsShapes } from './AwsShapes';
import type { AwsSDK } from './AwsApiParser';
export declare type ServiceOperationConfig = {
    http?: {
        method: string;
        requestUri: string;
    };
    input?: ParamStructure;
    output?: ParamStructure;
    alias?: string;
};
declare type OperationOpts<TContext> = {
    serviceId: string;
    name: string;
    prefix: string;
    config: ServiceOperationConfig;
    shapes: AwsShapes<TContext>;
    awsSDK: AwsSDK;
};
export declare class AwsServiceOperation<TContext> {
    prefix: string;
    name: string;
    serviceId: string;
    awsSDK: AwsSDK;
    args?: GraphQLFieldConfigArgumentMap;
    config: ServiceOperationConfig;
    shapes: AwsShapes<TContext>;
    constructor(opts: OperationOpts<TContext>);
    getTypeName(): string;
    getType(): GraphQLOutputType;
    getArgs(): GraphQLFieldConfigArgumentMap;
    getResolve(): GraphQLFieldResolver<any, any>;
    getFieldConfig(): GraphQLFieldConfig<any, any>;
}
export {};
//# sourceMappingURL=AwsServiceOperation.d.ts.map