"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsShapes = void 0;
const AwsParam_1 = require("./AwsParam");
class AwsShapes {
    constructor(shapes, prefix) {
        this.shapes = shapes;
        this.prefix = prefix;
        this.shapesInput = {};
        this.shapesOutput = {};
    }
    getInputShape(name) {
        if (!this.shapesInput[name]) {
            if (!this.shapes[name]) {
                throw new Error(`Shape with name '${name}' not found in service config ${this.prefix}`);
            }
            this.shapesInput[name] = 'JSON';
            this.shapesInput[name] = AwsParam_1.AwsParam.convertParamInput(this.shapes[name], `${this.prefix}${name}`, this);
        }
        return this.shapesInput[name];
    }
    getOutputShape(name) {
        if (!this.shapesOutput[name]) {
            if (!this.shapes[name]) {
                throw new Error(`Shape with name '${name}' not found in service config ${this.prefix}`);
            }
            this.shapesOutput[name] = 'JSON';
            this.shapesOutput[name] = AwsParam_1.AwsParam.convertParamOutput(this.shapes[name], `${this.prefix}${name}`, this);
        }
        return this.shapesOutput[name];
    }
}
exports.AwsShapes = AwsShapes;
//# sourceMappingURL=AwsShapes.js.map