"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.desc = exports.getOrSetType = exports.getTypeName = void 0;
const graphql_compose_1 = require("graphql-compose");
const typeStorage = new graphql_compose_1.TypeStorage();
function getTypeName(name, opts) {
    return `${(opts === null || opts === void 0 ? void 0 : opts.prefix) || 'Elastic'}${name}${(opts === null || opts === void 0 ? void 0 : opts.postfix) || ''}`;
}
exports.getTypeName = getTypeName;
function getOrSetType(typeName, typeOrThunk) {
    const type = typeStorage.getOrSet(typeName, typeOrThunk);
    return type;
}
exports.getOrSetType = getOrSetType;
function desc(str) {
    return str.replace(/\n\s+/gi, ' ').replace(/^\s+/, '');
}
exports.desc = desc;
//# sourceMappingURL=utils.js.map