import { ObjectTypeComposer, InputTypeComposer, ComposeOutputTypeDefinition, ComposeInputTypeDefinition } from 'graphql-compose';
declare type ParamsMap = {
    [name: string]: Param;
};
export declare type Param = ParamLocation | ParamStructure | ParamList | ParamMap | ParamBoolean | ParamTimestamp | ParamFloat | ParamInteger | ParamString | ParamEmpty | ParamShape;
declare type ParamList = {
    type: 'list';
    member: Param;
    locationName?: string;
    flattened?: boolean;
};
declare type ParamMap = {
    type: 'map';
    key: Record<string, unknown>;
    value: Param;
};
declare type ParamEmpty = Record<string, unknown>;
declare type ParamShape = {
    type?: 'shape';
    shape: string;
    locationName?: string;
};
declare type ParamBoolean = {
    type: 'boolean';
    locationName?: string;
};
declare type ParamString = {
    type: 'string';
    locationName?: string;
    sensitive?: boolean;
};
declare type ParamInteger = {
    type: 'integer';
    locationName?: string;
};
declare type ParamFloat = {
    type: 'float';
    locationName?: string;
};
declare type ParamTimestamp = {
    type: 'timestamp';
    locationName?: string;
};
declare type ParamLocation = {
    type?: 'location';
    location: string;
    locationName: string;
};
export declare type ParamStructure = {
    type: 'structure';
    members: ParamsMap;
    locationName?: string;
    xmlNamespace?: {
        uri: string;
    };
    required?: string[];
    payload?: string;
};
declare type AwsShapes = any;
export declare class AwsParam {
    static convertInputStructure(param: ParamStructure, name: string, shapes?: AwsShapes): InputTypeComposer<any>;
    static convertOutputStructure(param: ParamStructure, name: string, shapes?: AwsShapes): ObjectTypeComposer<any, any>;
    static convertParamInput(param: Param, name: string, shapes?: AwsShapes): ComposeInputTypeDefinition;
    static convertParamOutput(param: Param, name: string, shapes?: AwsShapes): ComposeOutputTypeDefinition<any>;
    static _convertParam(param: Param, name: string, isInput?: boolean, shapes?: AwsShapes): ComposeOutputTypeDefinition<any> | ComposeInputTypeDefinition;
    static convertShape(param: ParamShape, isInput?: boolean, shapes?: AwsShapes): ComposeOutputTypeDefinition<any> | ComposeInputTypeDefinition;
}
export {};
//# sourceMappingURL=AwsParam.d.ts.map